#ifndef DROP_RATE_WIDGET_H
#define DROP_RATE_WIDGET_H

/*!
  \file
  \brief 受信割合の表示ウィジット

  \author Satofumi KAMIMURA

  $Id: DropRateWidget.h 994 2009-06-13 09:29:40Z satofumi $
*/

#include "ui_DropRateWidgetForm.h"
#include <memory>


class DropRateWidget :
  public QWidget, private Ui::DropRateWidgetForm
{
  Q_OBJECT;

  DropRateWidget(const DropRateWidget& rhs);
  DropRateWidget& operator = (const DropRateWidget& rhs);

  struct pImpl;
  std::auto_ptr<pImpl> pimpl;

public:
  DropRateWidget(QWidget* parent = 0);
  ~DropRateWidget(void);

  void setEnabled(bool enable);
  void setDropRate(size_t percent);
};

#endif /* !DROP_RATE_WIDGET_H */
